package com.fs.company.domain;

import lombok.Data;
import lombok.Builder;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * 公司充值订单表
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CompanyRechargeOrder {

    /**
     * 主键ID
     */
    private Long id;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 支付平台交易号
     */
    private String transactionId;

    /**
     * 支付方式：1-微信 2-支付宝 3-银行卡 4-其他
     */
    private Integer payType;

    /**
     * 支付金额
     */
    private BigDecimal payAmount;

    private Long companyId;

    private Long userId;

    /**
     * 支付状态：0-创建 1-处理中 2-支付成功 3-支付失败
     */
    private Integer payStatus;

    /**
     * 支付时间
     */
    private LocalDateTime paymentTime;

    /**
     * 回调内容
     */
    private String callbackContent;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    private String qrLink;
}
